//------------------------地图基本操作开始----------------------------------------------------------
var maplet;
var coludlayer,layer,vectorLayer,dragPan,zoombox,lineLayer,polygonLayer,drawLine,drawPolygon,markerlayer,startLayer,endLayer,strategy,
drawStyle = {
strokeColor: "#304DBE",
strokeWidth: 2,
pointerEvents: "visiblePainted",
fillColor: "#304DBE",
fillOpacity: 0.8
},
pointStyle = {
    strokeColor:"#339933",
    strokeOpacity:1,
    strokeWidth:3,
    pointRadius:6 
};
var myMarkers = new Array();

var url = "http://124.225.110.155:8090/iserver/services/map-HaiKou/rest/maps/海口";
//var url = "http://59.56.174.147:8090/iserver/services/map-HaiKou/rest/maps/海口";
//var url ="http://124.225.110.155:8090/iserver/services/map-changchun/rest/maps/长春市区图";

//var url_data = "http://124.225.110.155:8090/iserver/services/data-HaiKou/rest/data";
//初始化地图
function init(mapName) { 
   maplet = new SuperMap.Map (mapName);
   maplet.minScale = 1/539407;//设置该值可以使地图在比例尺达到此值的时候无法再缩小
   maplet.maxScale = 1/200;//设置该值可以使地图在比例尺达到此值的时候无法再缩小
   
   maplet.numZoomLevels=9;//设置地图缩放级别的数量
   layer = new SuperMap.Layer.TiledDynamicRESTLayer("World", url,null, {maxResolution:"auto"});
   layer.events.on({"layerInitialized": addLayer});
   //新建一个策略
   strategy = new SuperMap.Strategy.GeoText();
   vectorLayer = new SuperMap.Layer.Vector("Vector Layer",{strategies: [strategy]});
   markerlayer = new SuperMap.Layer.Markers("markerLayer");
   
   startLayer = new SuperMap.Layer.Markers("start Layer");
   endLayer = new SuperMap.Layer.Markers("end Layer");
   
   //设置标签的样式
	strategy.style = {
	labelYOffset:35,
	fontColor:"#FF7F00",
	fontWeight:"bolder",
	fontSize:"14px",
	fill: true,
	fillColor: "#FFFFFF",
	fillOpacity: 1,
	stroke: true,
	strokeColor:"#8B7B8B"
	};
	   
   
   
   zoombox=new SuperMap.Control.ZoomBox({ 
			keyMask: null,"autoActivate":true //设置keyMask属性，使同时按住Shift绘矩形框
   });
   //初始化地图拖拽控件类
	//dragPan = new SuperMap.Control.DragPan(); 
	//当该属性为true，拖拽地图时，鼠标移动到地图可视区域外依然有效。默认为false
	//dragPan.documentDrag=true;
	//设置是否使用拖拽动画。默认为false，不使用动画
	//dragPan.enableKinetic=true;
	//执行动画的间隔，默认为10，单位是毫秒
	//dragPan.kineticInterval=20;
	//maplet.addControl(dragPan);         
		
	//新建线矢量图层
	lineLayer = new SuperMap.Layer.Vector("lineLayer");
	//对线图层应用样式style（前面有定义）
	lineLayer.style = drawStyle;
	
	
	//创建画线控制，图层是lineLayer;这里DrawFeature(图层,类型,属性)；multi:true在将要素放入图层之前是否现将其放入几何图层中
	drawLine = new SuperMap.Control.DrawFeature(lineLayer, SuperMap.Handler.Path, { multi: true });
	
	/*
	注册featureadded事件,触发drawCompleted()方法
	例如注册"loadstart"事件的单独监听
	events.on({ "loadstart": loadStartListener });
	*/
	drawLine.events.on({"featureadded": drawCompleted});   
    maplet.addControl(drawLine);
        
    //新建面矢量图层
	polygonLayer = new SuperMap.Layer.Vector("polygonLayer");
	//对面图层应用样式style（前面有定义）
	polygonLayer.style = drawStyle;
	/*
	注册featureadded事件,触发drawCompleted()方法
	例如注册"loadstart"事件的单独监听
	events.on({ "loadstart": loadStartListener });
	*/
	//创建画面控制，图层是polygonLayer
	drawPolygon = new SuperMap.Control.DrawFeature(polygonLayer, SuperMap.Handler.Polygon);
	drawPolygon.events.on({"featureadded": drawCompleted});
	maplet.addControl(drawPolygon);
}


function addLayer() {
        //将Layer图层加载到Map对象上
         coludlayer = new SuperMap.Layer.CloudLayer();
         maplet.addLayers([coludlayer,layer,vectorLayer,markerlayer,startLayer,endLayer]);
        //maplet.setCenter(new SuperMap.LonLat(110.34191 ,19.99888), 4);
        //maplet.setCenter(new SuperMap.LonLat(110.3366534376 ,20.0283185304), 4);
        //maplet.setCenter(new SuperMap.LonLat(110.34191 ,19.99888), 3);
        //maplet.setCenter(new SuperMap.LonLat(110.3344216 ,20.0544357), 3);
         maplet.setCenter(new SuperMap.LonLat(110.34191 ,19.99888).transform("EPSG:4326","EPSG:3857"),15);
}

//绘完触发事件
function drawCompleted(drawGeometryArgs) {
	//停止画面控制
	drawLine.deactivate();
	drawPolygon.deactivate();
	//获得图层几何对象
	var geometry = drawGeometryArgs.feature.geometry;
	var measureParam = new SuperMap.REST.MeasureParameters(geometry); /* MeasureParameters：量算参数类。 客户端要量算的地物间的距离或某个区域的面积*/
	var myMeasuerService = new SuperMap.REST.MeasureService(url); //量算服务类，该类负责将量算参数传递到服务端，并获取服务端返回的量算结果
	myMeasuerService.events.on({ "processCompleted": measureCompleted });
	
	//对MeasureService类型进行判断和赋值，当判断出是LineString时设置MeasureMode.DISTANCE，否则是MeasureMode.AREA
	
          if (geometry.CLASS_NAME.indexOf("LineString") > -1) {
           myMeasuerService.measureMode = SuperMap.REST.MeasureMode.DISTANCE;
       } else {
           myMeasuerService.measureMode = SuperMap.REST.MeasureMode.AREA;
       }			
	myMeasuerService.processAsync(measureParam); //processAsync负责将客户端的量算参数传递到服务端。
}

//直接触发事件
function directCompleted(geometry) {
	var measureParam = new SuperMap.REST.MeasureParameters(geometry); /* MeasureParameters：量算参数类。 客户端要量算的地物间的距离或某个区域的面积*/
	var myMeasuerService = new SuperMap.REST.MeasureService(url); //量算服务类，该类负责将量算参数传递到服务端，并获取服务端返回的量算结果
	myMeasuerService.events.on({ "processCompleted": measureCompleted });
	
	//对MeasureService类型进行判断和赋值，当判断出是LineString时设置MeasureMode.DISTANCE，否则是MeasureMode.AREA
	
          if (geometry.CLASS_NAME.indexOf("LineString") > -1) {
           myMeasuerService.measureMode = SuperMap.REST.MeasureMode.DISTANCE;
       } else {
           myMeasuerService.measureMode = SuperMap.REST.MeasureMode.AREA;
       }			
	myMeasuerService.processAsync(measureParam); //processAsync负责将客户端的量算参数传递到服务端。
}
		
//测量结束调用事件
function measureCompleted(measureEventArgs) {
	var distance = measureEventArgs.result.distance;
	var area = measureEventArgs.result.area;
	var unit = measureEventArgs.result.unit;
	if (distance != -1) {
	    alert("量算结果:"+distance + "米");
	} else if (area != -1) {
	    alert("量算结果:"+ area + "平方米");
	}
}
	
//清除	    
function mapClear(){
        myMarkers = new Array();
    	vectorLayer.removeAllFeatures();
    	lineLayer.removeAllFeatures();
    	polygonLayer.removeAllFeatures();
    	markerlayer.clearMarkers();
    	maplet.removeAllPopup();
}

//拉宽放大
function zoomOut(){
            //dragPan.deactivate();
			//是否将该控件设置为拉框缩小，默认为false，拉框放大
			zoombox.out=false;     
			maplet.addControl(zoombox);   
}
//拉宽缩小
function zoomIn(){
            //dragPan.deactivate();
			//是否将该控件设置为拉框缩小，默认为false，拉框放大
			zoombox.out=true;  
			maplet.addControl(zoombox);  
}
//漫游，平移
function mapPan(){
        //dragPan.activate();
}
//全图
function mapExtend(){
       // maplet.setCenter(new SuperMap.LonLat(110.34191 ,19.99888),0.000036675851);
        maplet.setCenter(new SuperMap.LonLat(110.32 , 20.01 ), 1);
        
}
    
//测距
function distanceMeasure(){
            lineLayer.removeAllFeatures();
    	    polygonLayer.removeAllFeatures();
            zoombox.deactivate();
            //dragPan.deactivate();
			drawLine.activate();
}
//测面
function areaMeasure(){
            lineLayer.removeAllFeatures();
    	    polygonLayer.removeAllFeatures();
            zoombox.deactivate();
            //dragPan.deactivate();
			drawPolygon.activate();
}

/**
 * 视野内搜索
 */
function synss(){
	if($("#synss").attr("class")=='synsshide'){
		$("#synss").css("display", "inline");
		$("#synss").attr("class",'syssshow');
	}else{
		$("#synss").css("display", "none");
		$("#synss").attr("class",'synsshide');
	}
}
//关闭视野内搜索框
function hidesynss(){
	$("#synss").css("display", "none");
}



//-----------显示实时路况工具条---------
function maplibTcShow(){
	$("#maptrafficFlow").css("display","");
}

//-----------关闭实时路况工具条---------

function maplibTcClose(){
	$("#maptrafficFlow").css("display","none");
}
//-------------添加信息框------------
function openInfoWin(){
    maplet.removeAllPopup();
    maplet.events.un({"moveend": moveEvent});
    var marker = this;
    var lonlat = marker.getLonLat();
    var contentHTML = "<div style='font-size:.8em; opacity: 1; overflow-y:hidden;height:250px;width:400px;'>";
    contentHTML += "<div style='font-weight: bold; font-size: 18px;'>"+marker.title+"</br>"+marker.content+"</div></div>";
    var popup = new SuperMap.Popup.FramedCloud("popwin",new SuperMap.LonLat(lonlat.lon,lonlat.lat),null,contentHTML,null,true);
    maplet.addPopup(popup);
}

function openMarkerInfoWin(marker){
    maplet.removeAllPopup();
    maplet.events.un({"moveend": moveEvent});
    var lonlat = marker.getLonLat();
    var contentHTML = "<div style='font-size:.8em; opacity: 1; overflow-y:hidden;height:250px;width:400px;'>";
    contentHTML += "<div style='font-weight: bold; font-size: 18px;'>"+marker.title+"</br>"+marker.content+"</div></div>";
    var popup = new SuperMap.Popup.FramedCloud("popwin",new SuperMap.LonLat(lonlat.lon,lonlat.lat),null,contentHTML,null,true);
    maplet.setCenter(new SuperMap.LonLat(lonlat.lon,lonlat.lat), maplet.getNumZoomLevels());
    maplet.addPopup(popup);    
}

/**
 * 生成地图信息窗口标题
 * poiname : 兴趣点名称
 * poitype : 兴趣点类型
 * smId:兴趣点smId
 */
function getInfoWinTitle(poiName, poiType,smId) {
	var infoWinsTitle = '<span title="' + poiName + '">' + poiName + '</span><span class="mwpg_iw_ls_title">&nbsp;-&nbsp;' +
		'</span>';
	return infoWinsTitle;
}

/**
 * 生成地图信息窗口内容
 * smId : smId
 * poiname : 兴趣点名称
 * cdesc : 信息描述
 * cimgurl : 图片地址
 */
function getInfoWinContent(smId, poiname, cdesc, cimgurl) {
	var infoWinsContent = 
		'<table id="' + smId + '" cellspacing="0" cellpadding="0" border="0" style="position: absolute; border: 0px solid rgb(171, 171, 171); background-color: rgb(255, 255, 255); table-layout: fixed; overflow: hidden; z-index: 100; width: 102px; height: 79px;" _disable_mw="true">'+
		'<tbody>'+
			'<tr>'+
				'<td valign="top" style="">'+
					'<div style="position: relative; padding: 5px; width: 370px; height: 192px; overflow: auto;">'+
						'<div class="mwpg_i" style="width:370px;">'+
							'<div class="mwpg_ic">'+
								'<div>'+
									'<div class="mwpg_poiw_ca">'+
										'<div class="mwpg_poiw_caI" style="width:93px;height:70px;">'+
											'<img mfg="pic" width="93" height="70" style="width: 93px; height: 70px; visibility: visible;" setsrc="true" src="' + cimgurl + '">'+
										'</div>'+
										'<div class="mwpg_poiw_caW"><p>' + cdesc + '</p>'+
											'<div class="mwpg_poiw_caV"><a href="javascript:void(0);" poiname="' + poiname + '" mfg="tbsc">收藏</a>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'<div class="mwpg_iw" id="infowin_cm" style="display: block;">'+
									'<div style="display: block;">'+
										'<ul>'+
											'<li class="mwpg_iw_s"><a href="javascript:void(0);">到达这里</a></li>'+
											'<li class=""><a href="javascript:void(0);">从这里出发</a></li>'+
											'<li class=""><a href="javascript:void(0);">查找周边</a></li>'+
										'</ul>'+
										'<div class="mwpg_iw_c mwpg_iw_cs">'+
											'<form onsubmit="return false;">'+
												'<em>起点</em><input class="mwpg_iw_kw mwpg_iw_kw_to" type="text" style="width:220px;" mfg="ls" autocomplete="off"><input class="mwpg_iw_sm" type="button" value="查公交" poiname="' + poiname + '" stype="startbus">'+
											'</form>'+
										'</div>'+
										'<div class="mwpg_iw_c">'+
											'<form onsubmit="return false;">'+
												'<em>终点</em><input class="mwpg_iw_kw mwpg_iw_kw_from" type="text" style="width:220px;" mfg="ls" autocomplete="off"> <input class="mwpg_iw_sm" type="button" value="查公交" poiname="' + poiname + '" stype="endbus">'+
											'</form>'+
										'</div>'+
										'<div class="mwpg_iw_c">'+
											'<form onsubmit="return false;">'+
												'<em>附近的</em><input class="mwpg_iw_kw mwpg_iw_kw_nb" type="text" mfg="ls" autocomplete="off"> <input class="mwpg_iw_sm" type="button" value="搜索" poiname="' + poiname + '" stype="nearpoi">'+
											'</form>'+
										'</div>'+
									'</div>'+
									'<div style="height: 25px; display: none;">'+
									'</div>'+
								'</div>'+
							'</div>'+
						'</div>'+
					'</td>'+
				'</tr>'+
			'</tbody>'+
		'</table>';
	return infoWinsContent;
}
var simpleinfowin = null;
//定义mouseClickHandler函数，触发click事件会调用此函数
function mouseClickHandler(){
	closeInfoWin();
	var marker = this;
    var lonlat = marker.getLonLat();
	var contentHTML = "<div style='width:60px; font-size:12px;font-weight:bold ; opacity: 0.8'>"; 
	contentHTML += marker.title;
	contentHTML += "</div>"; 
	//初始化FramedCloud类
	var popup = new SuperMap.Popup.FramedCloud("popwin",new SuperMap.LonLat(lonlat.lon,lonlat.lat),null,contentHTML,null,true);
	simpleinfowin = popup;
	maplet.addPopup(popup);
}
//定义mouseClickHandler函数，触发click事件会调用此函数
function mouseClickHandlerMarker(marker){
	closeInfoWin();
    var lonlat = marker.getLonLat();
	var contentHTML = "<div style='width:60px; font-size:12px;font-weight:bold ; opacity: 0.8'>"; 
	contentHTML += marker.title;
	contentHTML += "</div>"; 
	//初始化FramedCloud类
	var popup = new SuperMap.Popup.FramedCloud("popwin",new SuperMap.LonLat(lonlat.lon,lonlat.lat),null,contentHTML,null,true);
	simpleinfowin = popup;
	maplet.addPopup(popup);
}
function closeInfoWin(){
	if(simpleinfowin){
    	try{
        	simpleinfowin.hide();
        	simpleinfowin.destroy();
    	}catch(e){}
	}
}
//------------------------地图基本操作结束----------------------------------------------------------


//------------------------基础查询操作开始---------------------------------------------------------
var paginationPoiOpt = {//兴趣点分页参数
		callback: pageselectCallback, //分页回调函数
		prev_text: "前一页", //前导标签
		next_text: "后一页", //后导标签
		items_per_page: 10,  //每页记录数
		num_display_entries: 5,  //分页可供选择数
		num: 1 };//开始结束显示选择数
var myPoiPageData;//分页内容ajax动态赋值
var poiType;
function queryLocalPoi(poiName,isHorizon) {
 var queryBoundsOld =maplet.getExtent();
 var queryBounds= transformQueryBounds(queryBoundsOld);
 this.poiType=poiName;
  $. ajax({
         url : "near_poi!ajaxqueryLocalPois.action",
	     type : "post",
	     dataType : "json",
	     data : {poiName:poiName,isHorizon:isHorizon,left:queryBounds.left,bottom:queryBounds.bottom,right:queryBounds.right,top:queryBounds.top},
	     async:false,
         contentType : "application/x-www-form-urlencoded; charset=utf-8", // 防止中文乱码
	     success : function(data) {
	         var allpois=data.allpois;
	         var labelFeas = [],label;
	        for (i=0; i<allpois.length; i++) {
                   var poi = allpois[i];
                   var point = new SuperMap.LonLat(poi.lon, poi.lat).transform("EPSG:4326","EPSG:3857");
                   var icon=getMarkerIcon();
		           var smId=poi.id;
				   var poiName=poi.name;
				   var poiAddress=poi.dz;
				   var cdesc ="";
				   cdesc+= "地址: " + poiAddress + "<br />";
				   var winTitle=getInfoWinTitle(poiName, "兴趣点",smId);
				   var winContent=getInfoWinContent(smId,poiName,cdesc,'');
				   var marker=new SuperMap.Marker(point, icon);
				   myMarkers.push(marker);
				   marker.title=winTitle;
				   marker.content=winContent;
				   markerlayer.addMarker(marker);
				   marker.events.on({
						      "click":openInfoWin,
						      "scope": marker
				   }); 
				   label = new SuperMap.Geometry.GeoText(poi.lon, poi.lat, poiName);
                   maplet.setCenter(point, maplet.getNumZoomLevels());
				   labelFeas.push(new SuperMap.Feature.Vector(label));
                   }
                   vectorLayer.addFeatures(labelFeas);
         }
   });
}
function queryPoi(poiName) {
                mapClear();
                maplet.events.un({"moveend": moveEvent});
                var queryType,queryParam, queryBySQLParams, queryBySQLService;
                this.poiType=poiName;
                if(poiName=="酒店"){
                  queryParam = new SuperMap.REST.FilterParameter({
                    name:"住宿@海口",
                  });
				}else if(poiName=="景点"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"旅游景点@海口",
                  });
				}else if(poiName=="公交站"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"BusPoint@海口",
                  });
				}else if(poiName=="加油站"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"加油站@海口",
                  });
				}else if(poiName=="服务区"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"服务区@海口",
                  });
				}else if(poiName=="收费站"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"收费站@海口",
                  });
				}else if(poiName=="公共自行车"){
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"自行车租赁点@海口",
                  });
				}else{
				  queryParam = new SuperMap.REST.FilterParameter({
                    name:"QueryData@海口",
                    attributeFilter: "NAME like  '%"+poiName+"%' "
                  });
				}
                queryBySQLParams = new SuperMap.REST.QueryBySQLParameters({
                    queryParams: [queryParam]
                });
                queryBySQLService = new SuperMap.REST.QueryBySQLService(url, {
                    eventListeners: {"processCompleted": processCompletedQj, "processFailed": processFailed}});
                queryBySQLService.processAsync(queryBySQLParams);           
}

function transformQueryBounds(queryBounds){
   var left=queryBounds.left;
   var bottom=queryBounds.bottom;
   var point1=new SuperMap.LonLat(left,bottom).transform("EPSG:3857","EPSG:4326");
   var right=queryBounds.right;
   var top=queryBounds.top;
   var point2=new SuperMap.LonLat(right,top).transform("EPSG:3857","EPSG:4326");
   var bounds=new Object();
   bounds.left=point1.lon;
   bounds.bottom=point1.lat;
   bounds.right=point2.lon;
   bounds.top=point2.lat;
   return bounds;
}

function queryHorizonPoi(poiName){
		 mapClear();
		 var queryBoundsOld =maplet.getExtent();
		 var queryBounds= transformQueryBounds(queryBoundsOld);
		 var queryParam, queryByBoundsParams, queryService;
		 this.poiType=poiName;
         if(poiName=="酒店"){
                  queryParam = new SuperMap.REST.FilterParameter({
                    name:"住宿@海口",
                  });
		}else if(poiName=="景点"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"旅游景点@海口",
                });
		}else if(poiName=="公交站"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"BusPoint@海口",
                });
		}else if(poiName=="加油站"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"加油站@海口",
                });
		}else if(poiName=="服务区"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"服务区@海口",
                });
		}else if(poiName=="收费站"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"收费站@海口",
                });
		}else if(poiName=="公共自行车"){
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"自行车租赁点@海口",
                });
		}else{
		  queryParam = new SuperMap.REST.FilterParameter({
                  name:"QueryData@海口",
                  attributeFilter: "NAME like  '%"+poiName+"%' "
                });
		}
              queryBySQLParams = new SuperMap.REST.QueryBySQLParameters({
                  queryParams: [queryParam]
              });
		 queryByBoundsParams = new SuperMap.REST.QueryByBoundsParameters({queryParams: [queryParam], bounds: queryBounds});
		 queryService = new SuperMap.REST.QueryByBoundsService(url, {
			eventListeners: {
			"processCompleted": processCompleted,
			"processFailed": processFailed
			}
		 });
		 queryService.processAsync(queryByBoundsParams);//向服务端传递参数，然后服务端返回对象
}

function moveEvent(){
   var poiName=$("#poiType").val();
   queryHorizonPoi(poiName);
}

function querySynssPoi(poiName){
  var poiType=$("#poiType").val(poiName);
  queryHorizonPoi(poiName);
  maplet.events.on({"moveend":moveEvent});
}


function  getMarkerIcon(){
    var size = new SuperMap.Size(19, 20);
	var offset = new SuperMap.Pixel(-(size.w/2), -size.h);
	var icon;
	if(this.poiType=="酒店"){
	    icon= new SuperMap.Icon("../template/cms/images/bus_route/icons/hotel.gif", size, offset);
	}else if(this.poiType=="景点"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/touristattractions.gif", size, offset);
	}else if(this.poiType=="公交站"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/marker.png", size, offset);
	}else if(this.poiType=="加油站"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/jyz.gif", size, offset);
	}else if(this.poiType=="服务区"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/service_area.gif", size, offset);
	}else if(this.poiType=="停车场"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/tcc.png", size, offset);
	}else if(this.poiType=="收费站"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/sfz.gif", size, offset);
	}else if(this.poiType=="公共自行车"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/ggzxczld.gif", size, offset);
	}else if(this.poiType=="汽车维修点"){
	    icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/repairsite.gif", size, offset);
	}else{
		icon=  new SuperMap.Icon("../template/cms/images/bus_route/icons/marker.png", size, offset);
	}
	return icon;
}  

function processCompletedQj(queryEventArgs) {
                var i, j, feature,labelFeas = [],label,
                        result = queryEventArgs.result;
                var queryBounds =maplet.getExtent();
                if (result && result.recordsets) {
                    var totalnum=result.currentCount;
                    var pois=new Array(); 
                    for (i=0; i<result.recordsets.length; i++) {
                        if (result.recordsets[i].features) {
                            for (j=0; j<result.recordsets[i].features.length; j++) {
                            
                               feature = result.recordsets[i].features[j];
                               pois.push(feature);
                               var point = feature.geometry.transform("EPSG:4326","EPSG:3857");
                               
                               if(j==0&&i==0){
                                maplet.setCenter(new SuperMap.LonLat(point.x, point.y), maplet.getNumZoomLevels());
                               }
                               
                               var icon=getMarkerIcon();
							   var smId=feature.attributes.SmID;
							   var poiName='';
							   var poiAddress='';
							   if(feature.attributes.NAME!=null)
							   poiName=feature.attributes.NAME;
							   if(feature.attributes.NAME==null&&feature.attributes.Name!=null){
							     poiName=feature.attributes.Name;
							   }
							   if(feature.attributes.ADDRESS!=null)
							     poiAddress=feature.attributes.ADDRESS;
							   if(feature.attributes.ADDRESS==null&&feature.attributes.address!=null){
							     poiAddress=feature.attributes.address;
							   }
							   var cdesc ="";
							   cdesc+= "地址: " + poiAddress + "<br />";
							   var winTitle=getInfoWinTitle(poiName, "兴趣点",smId);
							   var winContent=getInfoWinContent(smId,poiName,cdesc,'');
							   var marker=new SuperMap.Marker(new SuperMap.LonLat(point.x, point.y), icon);
							   myMarkers.push(marker);
							   marker.title=winTitle;
							   marker.content=winContent;
							   markerlayer.addMarker(marker);
							   marker.events.on({
									      "click":openInfoWin,
									      "scope": marker
							   }); 
							  label = new SuperMap.Geometry.GeoText(point.x, point.y, poiName);
							  labelFeas.push(new SuperMap.Feature.Vector(label, feature.attributes));
                            }
                        }
                    }
                    //将标签要素添加到标签专题图层中
                    vectorLayer.addFeatures(labelFeas);
                    myPoiPageData=pois;
                    // 清空左边的内容
                    $(".searchTableInfo").css("display", "none");
					$(".removeForNearPois").css("display", "none");
					// 左边兴趣点信息列表和地图上标注由分页回调函数（pageselectCallback）统一处理
					$("#showPois").html(createPoiContent(totalnum, ($(window).height() - 200)));
					// 开启兴趣点分页
					$("#PaginationPoi").pagination(totalnum, paginationPoiOpt);
                }
                
}
    
function processCompleted(queryEventArgs) {
                var i, j, feature,labelFeas = [],label,
                        result = queryEventArgs.result;
                var queryBounds =maplet.getExtent();
                maplet.setCenter(new SuperMap.LonLat((queryBounds.left+queryBounds.right)/2, (queryBounds.bottom+queryBounds.top)/2), maplet.getNumZoomLevels());
                if (result && result.recordsets) {
                    var totalnum=result.currentCount;
                    var pois=new Array(); 
                    for (i=0; i<result.recordsets.length; i++) {
                        if (result.recordsets[i].features) {
                            for (j=0; j<result.recordsets[i].features.length; j++) {
                            
                               feature = result.recordsets[i].features[j];
                               pois.push(feature);
                               var point = feature.geometry.transform("EPSG:4326","EPSG:3857");
                               var icon=getMarkerIcon();
							   var smId=feature.attributes.SmID;
							   var poiName='';
							   var poiAddress='';
							   if(feature.attributes.NAME!=null)
							   poiName=feature.attributes.NAME;
							   if(feature.attributes.NAME==null&&feature.attributes.Name!=null){
							     poiName=feature.attributes.Name;
							   }
							   if(feature.attributes.ADDRESS!=null)
							     poiAddress=feature.attributes.ADDRESS;
							   if(feature.attributes.ADDRESS==null&&feature.attributes.address!=null){
							     poiAddress=feature.attributes.address;
							   }
							   var cdesc ="";
							   cdesc+= "地址: " + poiAddress + "<br />";
							   var winTitle=getInfoWinTitle(poiName, "兴趣点",smId);
							   var winContent=getInfoWinContent(smId,poiName,cdesc,'');
							   var marker=new SuperMap.Marker(new SuperMap.LonLat(point.x, point.y), icon);
							   myMarkers.push(marker);
							   marker.title=winTitle;
							   marker.content=winContent;
							   markerlayer.addMarker(marker);
							   marker.events.on({
									      "click":openInfoWin,
									      "scope": marker
							   }); 
							  label = new SuperMap.Geometry.GeoText(point.x, point.y, poiName);
							  labelFeas.push(new SuperMap.Feature.Vector(label, feature.attributes));
                            }
                        }
                    }
                    //将标签要素添加到标签专题图层中
                    vectorLayer.addFeatures(labelFeas);
                    myPoiPageData=pois;
                    // 清空左边的内容
                    $(".searchTableInfo").css("display", "none");
					$(".removeForNearPois").css("display", "none");
					// 左边兴趣点信息列表和地图上标注由分页回调函数（pageselectCallback）统一处理
					$("#showPois").html(createPoiContent(totalnum, ($(window).height() - 200)));
					// 开启兴趣点分页
					$("#PaginationPoi").pagination(totalnum, paginationPoiOpt);
                }
                
}
        
function processFailed(e) {
    alert(e.error.errorMsg);
}





/**
 * 生成兴趣点分页主体内容
 * totalnum : 兴趣点记录数
 * sheight: 显示列表高度
 */
function createPoiContent(totalnum, sheight) {
	var cntHeight = $(document).width()*0.27+5;
	var sheight=600;
	var infos = 
		'<div id="pbRight" style="background-color: rgb(255, 255, 255); z-index: 8; right: 0px; height: ' + sheight + 'px;width:'+cntHeight+'px; background-position: initial initial; background-repeat: initial initial;">'+
			'<div id="pbrHead" style="width:95%">'+
				'<a id="orReturn" href="javascript:void(0);" style=""><span></span>重新搜索</a>'+
				'<span id="orReturn_" style="float: left; color: rgb(204, 204, 204); font-style: normal; padding-left: 8px; padding-right: 8px;"> | </span>'+
				'<div id="resultCount" style="float: left;">共' + totalnum + '条信息</div>'+				    
			'</div>'+                 
			'<div id="pbrBody" style="width:99%;height:90%;">'+
				'<div id="losResult" align="left" style="display: block; height:100%;">'+                                       					                  
					'<ul id="olResult" class="mwp_ls_rlt" style="height:100%;"></ul>'+
				'</div>'+
			'</div>'+
			'<div id="pbrFoot" style="width:95%">'+
				'<div id="PaginationPoi" class="pagination"></div>'+
			'</div>'+
		'</div>';
  return infos;
}



/**
 * Callback function that displays the content.
 *
 * Gets called every time the user clicks on a pagination link.
 *
 * @param {int}page_index New Page index
 * @param {jQuery} jq the container with the pagination links as a jQuery object
 */
function pageselectCallback(page_index, jq){
    //初始化信息列表鼠标移近索引值
	lastFocusLi=-1;
	// 每页记录数
    var items_per_page = paginationPoiOpt.items_per_page;
    var max_elem = Math.min((page_index+1) * items_per_page, myPoiPageData.length);
    var newcontent = '';
    var j=1;
    
    for(var i=page_index*items_per_page;i<max_elem;i++,j++)
    {
    	var poi = myPoiPageData[i];
    	var poiName='';
    	if(poi.attributes.NAME!=null){
    	  poiName=poi.attributes.NAME;
    	}
    	if(poi.attributes.Name!=null){
    	  poiName=poi.attributes.Name;
    	}
    	newcontent += '<li class=""><h2><a href="javascript:void(0);">' + poiName  + '</a> </h2>';
        if(poi.attributes.ADDRESS!=null){
        newcontent += '<p>' + poi.attributes.ADDRESS + '</p><p></p>';
        }
        if(poi.attributes.address!=null){
        newcontent += '<p>' + poi.attributes.address + '</p><p></p>';
        }
        newcontent += '</li>';
    }
    // 显示生成选中页记录
    $('#olResult').html(newcontent);
    return false;
    
}

//------------------------基础查询操作结束---------------------------------------------------------


//------------------------动态路况操作开始---------------------------------------------------------

/**
 * 生成地图交通事件信息窗口标题
 * poiname : 交通事件路段名称
 * poitype : 交通事件类型
 */
function getInfoWinTitleTraffic(ldmc,url) {
	var infoWinsTitle = '<span title="' + ldmc + '">' + ldmc + '</span><span class="mwpg_iw_ls_title">&nbsp;-&nbsp;' +
		'<a href="' + url + '" target="_blank">详情&gt;&gt;</a></span>';
	return infoWinsTitle;
}
/**
 * 生成地图交通事件信息窗口内容
 * cdesc : 信息描述
 * cimgurl : 图片地址
 */
function getInfoWinContentTraffic(cdesc) {
	var infoWinsContent = 
		'<table cellspacing="0" cellpadding="0" border="0" style="position: absolute; border: 0px solid rgb(171, 171, 171); background-color: rgb(255, 255, 255); table-layout: fixed; overflow: hidden; z-index: 100; width: 382px; height: 209px;" _disable_mw="true">'+
		'<tbody>'+
			'<tr>'+
				'<td valign="top" style="">'+
					'<div style="position: relative; padding: 5px; width: 370px; height: 192px; overflow: auto;">'+
						'<div class="mwpg_i" style="width:370px;">'+
							'<div class="mwpg_ic">'+
								'<div>'+
									'<div class="mwpg_poiw_ca">'+
										'<div class="mwpg_poiw_caI" style="width:93px;height:70px;">'+
											
										'</div>'+
										'<div class="mwpg_poiw_caW"><p>' + cdesc + '</p>'+
										'</div>'+
									'</div>'+
								
							'</div>'+
						'</div>'+
					'</td>'+
				'</tr>'+
			'</tbody>'+
		'</table>';
	return infoWinsContent;
}




//ldmc:路段名称 sjlx：事件类型 ,lon:经度 lat:纬度 kssj:开始时间  jzsj：截止时间 xqdz:详情地址
function locationTrafficEvent(ldmc,lon,lat,sjlx,kssj,jzsj,xqdz){
                               var iconName;
                               if(sjlx=='突发事件'){
									iconName="emergency";
							   }
			                   if(sjlx=='交通管制'){
			                    	iconName="controls"
							   }
			                   if(sjlx=='施工占道'){
			                    	iconName="occupation";
							   }
                               var trafficPoiDetail = "起始时间: " + kssj + "<br />";
				               trafficPoiDetail += "结束时间: " + jzsj+ "<br />";
				               trafficPoiDetail += "描述: " +ldmc+"因"+sjlx+ "，禁止通行"+ "<br />";
                               var winTitle=getInfoWinTitleTraffic(ldmc,sjlx,xqdz);
							   var winContent=getInfoWinContentTraffic(trafficPoiDetail);
							   var size = new SuperMap.Size(40, 50);
							   var offset = new SuperMap.Pixel(-(size.w/2), -size.h);
							   var icon= new SuperMap.Icon("../template/cms/images/bus_route/"+iconName+".png", size, offset);
							   var marker=new SuperMap.Marker(new SuperMap.LonLat(lon,lat), icon);
							   marker.title=winTitle;
							   marker.content=winContent;
							   markerlayer.addMarker(marker);
							   marker.events.on({
									      "click":openInfoWin,
									      "scope": marker
							   }); 
							   	openMarkerInfoWin(marker);
}






//------------------------动态路况操作结束---------------------------------------------------------













